%define pyver %(python -c 'import sys ; print sys.version[:3]')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_pytho\n_lib()")}

Name:    depsgraph
Version: 0.30
Release: 1%{?dist}
Summary: A tool for examing package dependencies

Group:   Applications/System
License: GPL
Source:  %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: python-abi = %{pyver}
Requires: yum
Requires: pycairo

%description
This is a simple prototype tool for looking at package
dependencies. Basically, it's a tool for people wanting to track down
weird dependencies in packages.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
gzip -9 ChangeLog

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
%doc AUTHORS ChangeLog.gz NEWS README

%{_bindir}/%{name}

%dir %{python_sitelib}/py%{name}/
%{python_sitelib}/py%{name}/*.py*

%changelog
* Wed Dec  6 2006 Mark McLoughlin <markmc@redhat.com> - 0.30-1
- First release.
